%define shortname sysinfo
%define name gdesklets-%{shortname}
%define version 0.26
%define release 2mdk
%define oname SysInfo
%define archivename %oname-%{version}

Name:           %{name}
Summary:        SysInfo sensor and display for gDesklets
Version:        %{version}
Release:        %{release}
Url:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=56
Source0:	%{archivename}.tar.gz
Source1:	Makefile_install_scripts.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Provides:       gdesklets-display
BuildRequires:	python
Requires:	gdesklets

%description
A sensor and a display for system status meters.

To add the display, use :
  gdesklets-add-%{shortname}-display

%prep
%setup -q -c -a 1
mv %oname/* .

%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}
for subdir in %buildroot%_datadir/gdesklets/Sensors/SysInfo/locale/*;do
echo "%lang($(basename $subdir)) $(echo $subdir|sed s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc SysInfo/ChangeLog
%{_datadir}/gdesklets/Displays/%shortname
#%{_datadir}/gdesklets/Sensors/SysInfo
%dir %{_datadir}/gdesklets/Sensors/SysInfo
%dir %{_datadir}/gdesklets/Sensors/SysInfo/locale
%{_datadir}/gdesklets/Sensors/SysInfo/ChangeLog
%{_datadir}/gdesklets/Sensors/SysInfo/__init__.py
%{_datadir}/gdesklets/Sensors/SysInfo/SysInfo.py
%{_bindir}/gdesklets-add-%{shortname}-display

%changelog
* Thu Sep  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.26-2mdk
- fix buildrequires

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.26-1mdk
- update file list
- update source1 for 0.30
- new version

* Wed Jan  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.25-1mdk
- fix file list
- new version

* Tue Oct 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21.2-2mdk
- add missing sensor
- fix broken source file

* Mon Oct 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21.2-1mdk
- fix directory ownership
- fix URL
- new version

* Fri Aug 22 2003 Olivier Blin <oliv.blin@laposte.net> 0.11-1mdk 
- Initial release for Mandrake
  thanks to Jason Tacakberry <tack@auc.ca> (RH packager) for his help
- Creation of Makefile and install scripts
- Creation of gdesklets-add-*-display scripts to add new displays
